Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
ipe::PsPainter Class Reference

`#include <ipepswriter.h>`

Inherits ipe::PdfPainter.

## Public Member Functions

| PsPainter (const Cascade *style, Stream &stream)
| ~PsPainter ()
Public Member Functions inherited from ipe::PdfPainter
| PdfPainter (const Cascade *style, Stream &stream)
virtual | ~PdfPainter ()
Public Member Functions inherited from ipe::Painter
| Painter (const Cascade *style)
virtual | ~Painter ()
void | transform (const Matrix &m)
void | untransform (TTransformations trans)
void | translate (const Vector &v)
void | push ()
void | pop ()
void | pushMatrix ()
void | popMatrix ()
void | newPath ()
void | moveTo (const Vector &v)
void | lineTo (const Vector &v)
void | curveTo (const Vector &v1, const Vector &v2, const Vector &v3)
void | curveTo (const Bezier &bezier)
void | rect (const Rect &re)
void | drawEllipse ()
void | drawArc (const Arc &arc)
void | closePath ()
void | drawPath (TPathMode mode)
void | drawBitmap (Bitmap bitmap)
void | drawText (const Text *text)
void | drawSymbol (Attribute symbol)
void | addClipPath ()
void | setStroke (Attribute color)
void | setFill (Attribute color)
void | setPen (Attribute pen)
void | setDashStyle (Attribute dash)
void | setLineCap (TLineCap cap)
void | setLineJoin (TLineJoin join)
void | setFillRule (TFillRule rule)
void | setSymStroke (Attribute color)
void | setSymFill (Attribute color)
void | setSymPen (Attribute wid)
void | setOpacity (Attribute opaq)
void | setTiling (Attribute til)
void | setGradient (Attribute grad)
const Cascade * | cascade () const
Color | stroke () const
Color | fill () const
const Matrix & | matrix () const
Fixed | pen () const
String | dashStyle () const
void | dashStyle (std::vector< double > &dashes, double &offset) const
TLineCap | lineCap () const
TLineJoin | lineJoin () const
TFillRule | fillRule () const
Color | symStroke () const
Color | symFill () const
Fixed | symPen () const
Fixed | opacity () const
Attribute | tiling () const
Attribute | gradient () const

## Protected Member Functions

virtual void | doNewPath ()
virtual void | doDrawPath (TPathMode mode)
virtual void | doDrawBitmap (Bitmap bitmap)
virtual void | doAddClipPath ()
Protected Member Functions inherited from ipe::PdfPainter
virtual void | doPush ()
virtual void | doPop ()
virtual void | doMoveTo (const Vector &v)
virtual void | doLineTo (const Vector &v)
virtual void | doCurveTo (const Vector &v1, const Vector &v2, const Vector &v3)
virtual void | doClosePath ()
virtual void | doDrawText (const Text *text)
virtual void | doDrawSymbol (Attribute symbol)
void | drawAttributes ()
void | drawOpacity ()
Protected Member Functions inherited from ipe::Painter
virtual void | doDrawArc (const Arc &arc)
void | drawArcAsBezier (double alpha)

## Additional Inherited Members

Static Public Member Functions inherited from ipe::PdfPainter
static void | drawColor (Stream &stream, Color color, const char *gray, const char *rgb)
Protected Attributes inherited from ipe::PdfPainter
Stream & | iStream
std::list< State > | iActiveState

## Constructor & Destructor Documentation

PsPainter::PsPainter | ( | const Cascade * | style,
|  | Stream & | stream
| ) |  |

PsPainter::~PsPainter | ( |  | ) |

## Member Function Documentation

void PsPainter::doNewPath | ( |  | ) |

protected virtual

Perform new path operator.

Reimplemented from ipe::PdfPainter.

void PsPainter::doDrawPath | ( | TPathMode | mode | ) |

protected virtual

Actually draw the path.

Reimplemented from ipe::PdfPainter.

void PsPainter::doDrawBitmap | ( | Bitmap | bitmap | ) |

protected virtual

Draw a bitmap.

Reimplemented from ipe::PdfPainter.

void PsPainter::doAddClipPath | ( |  | ) |

protected virtual

Add a clip path.

Reimplemented from ipe::PdfPainter.

The documentation for this class was generated from the following files:

- ipepswriter.h
- ipepswriter.cpp